* * *

Author Topic: Problemas na Instalação do FPC 2.6.0 e do Lazarus 0.9.30.4 no Ubuntu 10.10  (Read 3064 times)

paulork

  • Newbie
  • Posts: 3
Olá pessoal, gostaria da ajuda de vocês... Estou enfrentando um problema com a instalação do FPC/Lazarus no Ubuntu 10.10... no repositório oficial ele não disponibiliza essa ultima versão, listando apenas o FPC 2.4.x e o Lazarus 0.28.x.x... Já baixei os pacotes DEB do site oficial, instalei o fpc-scr, o fpc e o lazarus... o fpc-src instalou normalmente sem erros logo de cara... o fpc deu erro na primeira tentativa, ai tentei novamente e ele instalou normalmente, mas tem um detalhe quando eu vou no terminal e digito "fpc" a versão reportada é a antiga ainda (2.4.x)... já o lazarus instala sob erros... consequentemente ele não roda direito posteriormente, dah erros constantemente...

a minha pergunta é: Alguém ai instalou os dois novos (fpc e lazarus) no ubuntu 10.10 sem problemas e o mesmo funciona sem problemas? se sim, como o fez? Alguém usa algum script de configuração? ou algum outro pacote feito por alguém que instala tudo de uma vez, incluindo as dependências??

agradeço pela atenção

Paulo

paulork

  • Newbie
  • Posts: 3
Agora o FPC instalou certinho, sem erros e quando eu digito "fpc" no terminal a versão reportada é a 2.6.0... quanto ao Lazarus ele instala, mas reporta erro nos seguintes pacotes: lazarus-ide-0.9.30.4 - lazarus-ide - lazarus-ide-gtk2-0.9.30.4 - lazarus-ide-gtk2 - lazarus-ide-qt4-0.9.30.4 - lazarus-ide-qt4 - lazarus-0.9.30.4 - lazarus... quando eu abro o Synaptic ele diz que tem dois pacotes quebrados... vou em pacotes quebrados e tem: "lazarus-ide-0.9.30.4" e "lazarus-ide-gtk2-0.9.30.4"...

fazendo o que um amigo sugeriu em um outro post, indo em Editar -> Corrigir pacotes quebrados nada acontece... e quando abro o lazarus ele informa que não localizou seu executável...

Detalhe: fiz checkout do lazarus por svn tmb... como o amigo da dica acima sugeriu... usei o comando "make clean all" e ele começa a compilar e para com a seguinte mensagem:
Code: [Select]
Fatal: Can't find unit process used by RegisterFCL
Fatal: Compilation aborted
make[1]: ** [fcllaz.ppu] Erro 1
.

Alguém pode me ajudar... agradeço...
« Last Edit: March 27, 2012, 05:10:25 pm by paulork »

paulork

  • Newbie
  • Posts: 3
Pessoal, seguinte... consegui achar o novo repositório com os novos pacotes para FPC e LAZARUS, mas não sei qual seria a sequencia para adicioná-lo ao Synaptic, tipo aquele "deb http://xxxxxxxxxx lazarus-stable universe"... segue o link:

http://www.hu.freepascal.org/lazarus/dists/lazarus-stable/universe/binary-i386/

Alguém aí pra ajudar... jah tentei de tudo e não estou conseguindo instalá-los

bdexterholland

  • New member
  • *
  • Posts: 44
  • uh?
puxa pelo svn e faz o make clean all novamente.

Eu tive um problema parecido, após um update do svn deu certo...
[sleep .....]

elender

  • New member
  • *
  • Posts: 24
cara, eu tive um problema semelhante e resolvi assim. vai no synaptic e remove completamente todos os pacotes que começarem por fpc e lazarus. assim ele estará completamente removido. baixa os 3 pacotes necessários e instala os debs manualmente.

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus